キャンセル
次の結果を表示 
次の代わりに検索 
もしかして: 
cancel
告知

JTAC-Mid-Career-Recruitment-2021.8

 

NSO: NED パッケージのリリースポリシーについて

656
閲覧回数
10
いいね!
0
コメント

[toc:faq]

 

NED パッケージのリリースポリシー

新しいバージョンの NED パッケージがリリースされる場合、特定バージョンの NSO 向けにコンパイルされて配布されます。この際、ターゲットとなる NSO のバージョンは各ブランチの最新版のみとなります。例えば、以下は cisco-ios NED 5.4 のターゲットブランチです(ncs-x.x.x が NSO のバージョンです)。

ncs-3.4.9-cisco-ios-5.4.tar.gz
ncs-4.1.6-cisco-ios-5.4.tar.gz
ncs-4.2.4-cisco-ios-5.4.signed.bin
ncs-4.3.3-cisco-ios-5.4.signed.bin
ncs-4.4.2-cisco-ios-5.4.signed.bin

これはあくまで基本的なガイドラインになりますので、例外がある場合もあります。

異なるバージョンの NSO に NED をロードする場合

コンパイルされたものとは異なるバージョンの NSO に NED をロードする場合、まずは NED に含まれる package-meta-data.xml に記載されている ncs-min-version を確認してください。各ブランチにおいて ncs-min-version より新しいバージョンである必要があります。 

<ncs-min-version>3.4.5</ncs-min-version>
<ncs-min-version>4.0.5</ncs-min-version>
<ncs-min-version>4.1.1</ncs-min-version>
<ncs-min-version>4.2</ncs-min-version>
<ncs-min-version>4.3.0.2</ncs-min-version>

要件を満たしていて、かつ maintenance バージョン以降が異なるだけの場合(4.2.3 と 4.2.2 など)、多くの場合そのまま使用できます。ロードして問題が無いようでしたらそのまま使用してください。

もし問題が発生した場合、NED のリコンパイルをする必要があります。使用する NSO で NED をリコンパイルしてロードできるかお試しください。

╭─ ~/Downloads/cisco-ios
╰─$ source ~/ncs/4.4.1.3/ncsrc
╭─ ~/Downloads/cisco-ios
╰─$ cd src;make
rm -f *-snippet.yang
rm -f *-snippet.fxs
rm -f *.properties
----- snip -----
BUILD SUCCESSFUL
Total time: 2 seconds